<div
  class="container full-width flex-fixed-size m-t-10"
  [class.canDragAndDrop]="canDragAndDrop"
  [class.canMove]="canMove"
  [sqtmCoreDraggableListItem]="sessionNoteId"
  [attr.data-test-element-id]="'note-container-' + index"
>
  <div
    #dropFileZone
    class="container-border container-background-color m-b-10 flex-row full-width"
    sqtmCoreAttachmentDropZone
    [class.placeholder]="(selectedNoteIds$ | async).includes(sessionNoteId)"
    (filesDropEvent)="addAttachment($event)"
    (filesDragEnterEvent)="handleAttachmentEnter()"
    (filesDragLeaveEvent)="handleAttachmentLeave()"
  >
    <div
      class="dnd-handle"
      sqtmCoreDraggableItemHandler
      [attr.data-test-element-id]="'drag-handle'"
    ></div>
    <div class="flex-column flex-fixed-size note-index-column m-y-5">
      <div
        class="arrow arrow-up m-t-5"
        (click)="moveUp()"
        [attr.data-test-element-id]="'move-up'"
      >
        <i nz-icon nzType="double-right" nzTheme="outline"></i>
      </div>
      <div class="index-typography">
        {{ index }}
      </div>
      <div
        class="arrow arrow-down m-b-5"
        (click)="moveDown()"
        [attr.data-test-element-id]="'move-down'"
      >
        <i nz-icon nzType="double-right" nzTheme="outline"></i>
      </div>
    </div>
    <div class="spacer"></div>

    <div class="full-width overflow-hidden">
      <ng-content> </ng-content>
    </div>
  </div>
</div>
